<div class="grid">

	<header class="row  no-padding clearfix">
		<div class="col-2-3 no-padding"><h2>Bevakning mot Bolagskapning</h2></div>
		<button class="col-1-3 new" ui-sref="user.company.hijackinglist.new({orgNr: orgNr})">
			<i class="fa fa-plus"></i><span class="icon-title">Ny Kontaktperson</span></button>

	</header>

	<div class="row clearfix">
		<p class="col-1">Personer som skall ha information om nykomna ärenden för bolaget</p>

		<div svab-feedback-target="hijackinglist.get"></div>
		<div svab-feedback-target="hijackinglist.delete"></div>
	</div>

	<div ng-show="entries.length > 0" class="row clearfix fake-table">
		<ul  class="col-1 clearfix">
			<li class="col-1 fake-row-heading clearfix">
				<ul class="col-5-6">
					<li class="col-1-3 fake-heading">Namn</li>
					<li class="col-1-3 fake-heading">Tel.nr</li>
					<li class="col-1-3 fake-heading">Email</li>
				</ul>
				<ul class="col-1-6"></ul>
			</li>

			<li class="col-1 fake-row clearfix" ng-repeat="entry in entries">

				<ul ng-hide="entry.editing" class="col-5-6 clearfix">
					<li class="col-1-3"><span> {{entry.firstName}} {{entry.lastName}}</span></li>
					<li class="col-1-3"><span>{{entry.contactDetails.phoneNumber}}</span></li>
					<li class="col-1-3"><span>{{entry.contactDetails.email}}</span></li>
				</ul>

				<ul ng-show="entry.editing" class="col-5-6 clearfix editing">

					<form name="hijackinglistForm" novalidate class="clearfix">
						<div svab-feedback-target="hijackinglist.update"></div>
						<li class="col-1-3 editable">
							<div class="col-1-2">
								<input type="text" name="firstName" ng-model="entry.firstName" placeholder="Förnamn" required/>

								<div ng-messages="hijackinglistForm.firstName.$error" ng-show="hijackinglistForm.firstName.$touched">
									<p class="form-feedback error" ng-message="required">Ange förnamn</p>
								</div>
							</div>
							<div class="col-1-2">
								<input type="text" name="lastName" ng-model="entry.lastName" placeholder="Efternamn" required/>
								<div ng-messages="hijackinglistForm.lastName.$error" ng-show="hijackinglistForm.lastName.$touched">
									<p class="form-feedback error" ng-message="required">Ange efternamn</p>
								</div>
							</div>
						</li>
						<li class="col-1-3 editable">
							<input type="text"
							       name="contactDetailsPhoneNumber"
							       ng-model="entry.contactDetails.phoneNumber"
							       placeholder="070 123 4567"
							       required/>

							<div ng-messages="hijackinglistForm.contactDetailsPhoneNumber.$error" ng-show="hijackinglistForm.contactDetailsPhoneNumber.$touched">
								<p class="form-feedback error" ng-message="required">Ange telefonnummer</p>
							</div>
						</li>
						<li class="col-1-3 editable">
							<input type="email" name="contactDetailsEmail" ng-model="entry.contactDetails.email" placeholder="lorem@ipsum.se" required/>

							<div ng-messages="hijackinglistForm.contactDetailsEmail.$error" ng-show="hijackinglistForm.contactDetailsEmail.$touched">
								<p class="form-feedback error" ng-message="required">Ange email</p>
								<p class="form-feedback error" ng-message="email">Ange giltig email</p>
							</div>
						</li>

					</form>
				</ul>

				<ul class="col-1-6 edit-this" ng-class="{editing: entry.editing}">
					<li class="col-1" ng-hide="entry.editing">
						<span class="edit" ng-click="edit(entry)">Redigera</span><span class="divider">|</span>
						<span class="delete" really-message="Bekräfta radering" really-click="remove(entry)">Radera</span>
					</li>
					<li class="col-1" ng-show="entry.editing">
						<span class="update" ng-click="save(entry, hijackinglistForm)">Spara</span>
						<span class="divider">|</span>
						<span class="cancel" ng-click="undoEdit(entry, hijackinglistForm)">Ångra</span>
					</li>

				</ul>

			</li>

		</ul>
	</div>
</div>


